Bug 232484 - RHEL4 missing db4-*-devel-*ppc64-*
RHEL4 missing db4-*-devel-*ppc64-*
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
4.3
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McLean
Daniel Riek
:
Depends On:
Blocks: 239993
  Show dependency treegraph
 
Reported: 2007-03-15 14:30 EDT by Michael Moon
Modified: 2007-11-16 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.5.z
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 16:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Moon 2007-03-15 14:30:48 EDT
Description of problem:
Our RHEL4u3 on PPC64 box has the following installed:

db4-devel-4.2.52-7.1.ppc.rpm
db4-4.2.52-7.1.ppc.rpm
db4-4.2.52-7.1.ppc64.rpm
expat-devel-1.95.7-4.ppc.rpm
expat-1.95.7-4.ppc.rpm
expat-1.95.7-4.ppc64.rpm
gdbm-devel-1.8.0-24.ppc.rpm
gdbm-1.8.0-24.ppc.rpm
gdbm-1.8.0-24.ppc64.rpm

Note that the ppc64 versions of the *devel* packages are not there. This effect
of this is that we're missing the following libraries required for Application
Server:

/usr/lib64/libdb.so
/usr/lib64/libexpat.so
/usr/lib64/libgdbm.so

Bugzilla doesn't allow me to pick multiple components so I picked for just db4.
If I need to create other bugzilla reports, please let me know.

Thanks,
-Mike

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Moon 2007-03-15 14:32:50 EDT
When I say "Application Server" above, I meant the "Oracle" Application Server.
Comment 2 Jay Turner 2007-03-15 16:11:15 EDT
I'm actually changing this to be against "distribution" since that's where the
fix would actually be.  No need for separate BZs for each component.
Comment 7 Mike McLean 2007-05-07 15:45:53 EDT
Based on a quick look, these -devel packages seem to be multilib safe, and I
don't think they will pull anything else in.
Comment 8 Michael Moon 2007-05-07 15:59:12 EDT
(In reply to comment #7)
> Based on a quick look, these -devel packages seem to be multilib safe, and I
> don't think they will pull anything else in.

We need the following files available on our RHEL4 PPC64 box:
/usr/lib64/libdb.so
/usr/lib64/libexpat.so
/usr/lib64/libgdbm.so
Whatever versions of the rpms that include these, we don't care.
Comment 19 Mike McLean 2007-05-14 16:36:43 EDT
The requested packages are now available from RHN. You can install them with
this command:
$ up2date -i db4-devel expat-devel gdbm-devel  --arch ppc64

Comment 20 Michael Moon 2007-05-14 16:56:17 EDT
Will this be part of RHEL4 Update5 or Update6? Thanks.
Comment 21 Mike McLean 2007-05-14 17:06:02 EDT
Yes, this change will also be applied in 4.6.  That is being tracked in bug 239993.
Comment 22 Jay Turner 2007-08-29 08:53:30 EDT
$ pwd
/mnt/redhat/rel-eng/RHEL4-U6-re20070814.0/ppc/ppc-AS/RedHat/RPMS

$ ls db4-devel*.ppc64.rpm expat-devel*.ppc64.rpm gdbm-devel*.ppc64.rpm
db4-devel-4.2.52-7.3.el4.ppc64.rpm  expat-devel-1.95.7-4.ppc64.rpm 
gdbm-devel-1.8.0-24.ppc64.rpm

Note You need to log in before you can comment on or make changes to this bug.